Subject: Re: bug#63558: [PATCH] gnu: Add qutebrowser/wayland.

From: Jaft <[email-masked]>
Date: Sat, 2 Sep 2023 06:04:12 +0000 (UTC)

I'm running XWayland and, at one point, it just stopped working (would launch in X, instead); it's been a while since I ran it (I've been running this version, instead) but I think that was why I wrote this up. Even when it was working, launching it from an X app. would cause it to run as X. I remember it being really annoying in unexpected ways and not always predictable.    On Friday, September 1, 2023 at 09:26:49 AM CDT, Maxim Cournoyer <[email-masked]> wrote:  
 
 Hi,

"Wamm K. D" <[email-masked]> writes:

> * gnu/packages/web-browsers.scm (qutebrowser/wayland): New variable.
> ---
> Create a package that can be used with Wayland, like UnGoogled
> Chromium and Icecat have.

There's a difference though; here qutebrowser uses Qt, and qtwayland
works as a plugin, so as long as it's found in your user profile it
should just work.  Is it not the case?

I'd like to avoid adding package variants if possible.

-- 
Thanks,
Maxim